NewStart CGSL CORE 5.05 / MAIN 5.05:libvncserver 弱點 (NS-SA-2021-0135)

critical Nessus Plugin ID 154621

語系:

Synopsis

遠端 NewStart CGSL 主機受到一個弱點影響。

描述

執行 CORE 5.05 / MAIN 5.05 版的遠端 NewStart CGSL 主機上安裝的 libvncserver 套件受到一個弱點影響:

-據發現, LibVNCServer 0.9.12 之前版本中的 websockets.c 未正確解碼特定 WebSocket 框架。惡意攻擊者可惡意利用此弱點,透過傳送特製的 WebSocket 框架至伺服器,造成堆積型緩衝區溢位。(CVE-2017-18922)

請注意,Nessus 並未測試此問題,而是僅依據應用程式自我報告的版本號碼。

解決方案

升級易受攻擊的 CGSL libvncserver 套件。請注意,可能尚未出爐已升級的套件。如需詳細資訊,請聯絡 ZTE。

另請參閱

http://security.gd-linux.com/notice/NS-SA-2021-0135

http://security.gd-linux.com/info/CVE-2017-18922

Plugin 詳細資訊

嚴重性: Critical

ID: 154621

檔案名稱: newstart_cgsl_NS-SA-2021-0135_libvncserver.nasl

版本: 1.2

類型: local

已發布: 2021/10/28

已更新: 2021/10/28

風險資訊

VPR

風險因素: High

分數: 7.4

CVSS v2

風險因素: High

基本分數: 7.5

時間分數: 5.5

媒介: AV:N/AC:L/Au:N/C:P/I:P/A:P

時間媒介: E:U/RL:OF/RC:C

CVSS 評分資料來源: CVE-2017-18922

CVSS v3

風險因素: Critical

基本分數: 9.8

時間分數: 8.5

媒介: CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:H/A:H

時間媒介: E:U/RL:O/RC:C

弱點資訊

CPE: p-cpe:/a:zte:cgsl_core:libvncserver, p-cpe:/a:zte:cgsl_core:libvncserver-debuginfo, p-cpe:/a:zte:cgsl_core:libvncserver-devel, p-cpe:/a:zte:cgsl_main:libvncserver, p-cpe:/a:zte:cgsl_main:libvncserver-debuginfo, p-cpe:/a:zte:cgsl_main:libvncserver-devel, cpe:/o:zte:cgsl_core:5, cpe:/o:zte:cgsl_main:5

必要的 KB 項目: Host/local_checks_enabled, Host/ZTE-CGSL/release, Host/ZTE-CGSL/rpm-list, Host/cpu

可輕鬆利用: No known exploits are available

修補程式發佈日期: 2021/9/24

弱點發布日期: 2020/6/30

參考資訊

CVE: CVE-2017-18922